package de.hsadmin.mods.pac;

import java.io.Serializable;



public class PacComponentId implements Serializable {

	private static final long serialVersionUID = -3018368675798315892L;
	
	private long pacId;
	private long basePacId;
	private long baseComponentId;
	
	@Override
	public boolean equals(Object obj) {
		if (obj != null && obj instanceof PacComponentId) {
			PacComponentId other = (PacComponentId) obj;
			return getPacId() == other.getPacId() && getBaseComponentId() == other.getBaseComponentId() && getBasePacId() == other.getBasePacId();
		}
		return false;
	}
	
	@Override
	public int hashCode() {
		return (new Long(getPacId() ^ getBaseComponentId() ^ getBasePacId() % Integer.MAX_VALUE)).intValue();
	}

	public void setPacId(long pacId) {
		this.pacId = pacId;
	}

	public long getPacId() {
		return pacId;
	}

	public void setBaseComponentId(long baseComponentId) {
		this.baseComponentId = baseComponentId;
	}

	public long getBaseComponentId() {
		return baseComponentId;
	}

	public void setBasePacId(long basePacId) {
		this.basePacId = basePacId;
	}

	public long getBasePacId() {
		return basePacId;
	}

}
